Bug 1772024 - Support of openidc in keycloak-httpd-client-install package
Summary: Support of openidc in keycloak-httpd-client-install package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Amit Upadhye
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-13 13:19 UTC by Nikhil Kathole
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version: keycloak-httpd-client-install-1.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28346 High Closed Support of openidc in keycloak-httpd-client-install package 2020-08-18 13:49:36 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Nikhil Kathole 2019-11-13 13:19:51 UTC
Description of problem:

keycloak-httpd-client-install from RHEL don't have support for openidc required for keycloak integration with satellite.

keycloak-httpd-client-install-0.8-1.el7.noarch : Tools to configure Apache HTTPD as Keycloak client
Repo        : rhel-7-server-rpms


Version-Release number of selected component (if applicable):
Satellite 6.7 snap 1


How reproducible: always


Steps to Reproduce:
1. keycloak-httpd-client-install --app-name foreman-openidc --keycloak-server-url "{{ RHSSO_URL }}" --keycloak-admin-username "{{ RHSSO_USER }}" --keycloak-admin-password password.txt --keycloak-realm "{{ RHSSO_REALM }}" --keycloak-admin-realm master --keycloak-auth-role root-admin -t openidc -l /users/extlogin --tls-verify false --force

Actual results:
Command will fail as no openidc support 


Expected results:


Additional info:

Comment 3 Bryan Kearney 2019-11-25 15:06:09 UTC
Upstream bug assigned to aupadhye@redhat.com

Comment 4 Bryan Kearney 2019-11-25 15:06:11 UTC
Upstream bug assigned to aupadhye@redhat.com

Comment 5 Bryan Kearney 2019-11-28 15:05:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28346 has been resolved.

Comment 6 Nikhil Kathole 2019-12-09 07:52:48 UTC
VERIFIED

Version tested:
Satellite 6.7 snap 5

# yum whatprovides keycloak-httpd-client-install
keycloak-httpd-client-install-0.6-1.el7.noarch : Tools to configure Apache HTTPD as Keycloak client
Repo        : rhel-7-server-rpms


keycloak-httpd-client-install-0.6-3.el7.noarch : Tools to configure Apache HTTPD as Keycloak client
Repo        : rhel-7-server-rpms


keycloak-httpd-client-install-0.8-1.el7.noarch : Tools to configure Apache HTTPD as Keycloak client
Repo        : rhel-7-server-rpms


keycloak-httpd-client-install-1.2.2-1.el7sat.noarch : Tools to configure Apache HTTPD as Keycloak client
Repo        : Sat6-CI_Satellite_6_7_Composes_Satellite_6_7_RHEL7

# yum install keycloak-httpd-client-install

==================================================================================================================================================
 Package                                      Arch          Version               Repository                                                 Size
==================================================================================================================================================
Installing:
 keycloak-httpd-client-install                noarch        1.2.2-1.el7sat        Sat6-CI_Satellite_6_7_Composes_Satellite_6_7_RHEL7         19 k
Installing for dependencies:
 python-jwcrypto                              noarch        0.4.2-1.el7           rhel-7-server-rpms                                         57 k
 python2-keycloak-httpd-client-install        noarch        1.2.2-1.el7sat        Sat6-CI_Satellite_6_7_Composes_Satellite_6_7_RHEL7         50 k
 python2-oauthlib                             noarch        2.0.1-8.el7           rhel-7-server-rpms                                        146 k
 python2-requests-oauthlib                    noarch        0.8.0-5.el7           rhel-7-server-rpms                                         35 k

Transaction Summary
==================================================================================================================================================
Install  1 Package (+4 Dependent packages)

Total download size: 306 k
Installed size: 1.4 M
Is this ok [y/d/N]: y
Warning: RPMDB altered outside of yum.

Installed:
  keycloak-httpd-client-install.noarch 0:1.2.2-1.el7sat                                                                                           

Dependency Installed:
  python-jwcrypto.noarch 0:0.4.2-1.el7                        python2-keycloak-httpd-client-install.noarch 0:1.2.2-1.el7sat                      
  python2-oauthlib.noarch 0:2.0.1-8.el7                       python2-requests-oauthlib.noarch 0:0.8.0-5.el7  


# keycloak-httpd-client-install --help | grep openidc
                                     [-t {mellon,openidc}]
  -t {mellon,openidc}, --client-type {mellon,openidc}
                        mod_auth_mellon, "openidc" for mod_auth_openidc.

Comment 9 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.